Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
[Groovy] Class HelpFormatter

    java.lang.Object
      org.apache.commons.cli.HelpFormatter
          org.codehaus.groovy.tools.shell.util.HelpFormatter

    class HelpFormatter
    extends HelpFormatter

Custom CLI help formatter to render things correctly.

Authors:
  Jason Dillon

Version:
  \$Id: HelpFormatter.groovy 7781 2007-08-28 00:17:11Z user57 \$

Field Summary

Fields inherited from class HelpFormatter
DEFAULT_WIDTH, DEFAULT_LEFT_PAD, DEFAULT_DESC_PAD, DEFAULT_SYNTAX_PREFIX, DEFAULT_OPT_PREFIX, DEFAULT_LONG_OPT_PREFIX, DEFAULT_ARG_NAME, defaultWidth, defaultLeftPad, defaultDescPad, defaultSyntaxPrefix, defaultNewLine, defaultOptPrefix, defaultLongOptPrefix, defaultArgName

Constructor Summary
`HelpFormatter()`

Method Summary
`int` | `getDefaultWidth()`
`protected StringBuffer` | `renderOptions(StringBuffer sb, int width, Options options, int leftPad, int descPad)`

Methods inherited from class HelpFormatter
printUsage, printUsage, getWidth, setWidth, setArgName, getArgName, setLeftPadding, getLeftPadding, setDescPadding, getDescPadding, setSyntaxPrefix, getSyntaxPrefix, setNewLine, getNewLine, setOptPrefix, getOptPrefix, setLongOptPrefix, getLongOptPrefix, getOptionComparator, setOptionComparator, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printOptions, printWrapped, printWrapped, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### HelpFormatter

    HelpFormatter()

Method Detail

### getDefaultWidth

    int getDefaultWidth()

### renderOptions

    protected StringBuffer renderOptions(StringBuffer sb, int width, Options options, int leftPad, int descPad)

Copyright © 2003-2010 The Codehaus. All rights reserved.